Fedora Core 6 : mod_perl-2.0.2-6.2.fc6 (2007-577)

High Nessus Plugin ID 25471


The remote Fedora Core host is missing a security update.


This update fixes a security issue in mod_perl.

An issue was found in the 'namespace_from_uri' method of the ModPerl::RegistryCooker class. If a server implemented a mod_perl registry module using this method, a remote attacker requesting a carefully crafted URI can cause resource consumption, which could lead to a denial of service. (CVE-2007-1349)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected mod_perl, mod_perl-debuginfo and / or mod_perl-devel packages.

See Also


Plugin Details

Severity: High

ID: 25471

File Name: fedora_2007-577.nasl

Version: $Revision: 1.13 $

Type: local

Agent: unix

Published: 2007/06/12

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:mod_perl, p-cpe:/a:fedoraproject:fedora:mod_perl-debuginfo, p-cpe:/a:fedoraproject:fedora:mod_perl-devel, cpe:/o:fedoraproject:fedora_core:6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2007/06/11

Reference Information

FEDORA: 2007-577